import type { APIRoute } from "astro"
import { supabase } from "@library/supabase"

export const POST: APIRoute = async ({ cookies, redirect }) => {

  // https://supabase.com/docs/reference/javascript/auth-updateuser?example=update-the-users-metadata
  const { error } = await supabase.rpc('delete_user');
  cookies.delete("anonymous-session", { path: "/" })

  if (error) {
    return new Response(error.message, { status: 500 })
  }

  return redirect("/api/auth/signout")
}
