import type { APIRoute } from "astro"
import { supabase } from "@library/supabase"

export const POST: APIRoute = async ({  redirect }) => {

  // https://supabase.com/docs/reference/javascript/auth-updateuser?example=update-the-users-metadata
  const { error } = await supabase.auth.updateUser({
    data: {
      beta: true
    }
  })

  if (error) {
    return new Response(error.message, { status: 500 })
  }

  return redirect("/account/beta")
}
