import type { APIRoute } from "astro"
import { supabase } from "@library/supabase"

export const POST: APIRoute = async ({ request, redirect }) => {
  const formData = await request.formData()
  const NewEmail = formData.get("email")?.toString()

  if (!NewEmail) {
    return new Response("Error.", { status: 400 })
  }

  const { error } = await supabase.auth.updateUser({
    email: NewEmail,
    data: {
      email_verified: false
    }
  })

  if (error) {
    return new Response(error.message, { status: 500 })
  }

  return redirect("/account?=CheckEmail")
}