import type { APIRoute } from "astro"
import { supabase } from "@library/supabase"

export const POST: APIRoute = async ({ request, redirect }) => {
  const formData = await request.formData()
  const name = formData.get("name")?.toString()

  if (!name) {
    return new Response("Error.", { status: 400 })
  }

  // https://supabase.com/docs/reference/javascript/auth-updateuser?example=update-the-users-metadata
  const { error } = await supabase.auth.updateUser({
    data: {full_name: name}
  })

  if (error) {
    return new Response(error.message, { status: 500 })
  }

  return redirect("/account?=NameUpdated")
}
