import type { APIRoute } from "astro"
import { supabase } from "@library/supabase"

export const POST: APIRoute = async ({ request, redirect }) => {
  const formData = await request.formData()
  const password = formData.get("password")?.toString()

  if (!password) {
    return new Response("Error.", { status: 400 })
  }

  const { error } = await supabase.auth.updateUser({
    password: password,
  })

  if (error) {
    return new Response(error.message, { status: 500 })
  }

  return redirect("/account?=PasswordReset")
}