import type { APIRoute } from "astro"
import { supabase } from "@library/supabase"

export const GET: APIRoute = async ({ cookies, request, redirect }) => {
  const { error } = await supabase.auth.signInAnonymously({
    options: {
      data: {
        full_name: 'Anonymous',
        avatar_url: 'https://img.sudovanilla.org/MAuSBXN.png',
        plan: "Free",
        theme: "Dark",
        color_scheme: "Purple",
        beta: false,
      }
    },
  })

  if (error) {
    return new Response(error.message, { status: 500 })
  }

  cookies.set("anonymous-session", 'true', {
    path: "/",
    secure: true,
    httpOnly: true,
  })

  return redirect("/?=anonymous")
}
