import type { APIRoute } from "astro"
import { supabase } from "@library/supabase"

export const POST: APIRoute = async ({ request, redirect }) => {
    const formData = await request.formData()
    const EMAIL = formData.get("email")?.toString()
    const OTP = formData.get("code")?.toString()

    if (!OTP) {
        return new Response("Code required", { status: 400 })
    }

    const { error } = await supabase.auth.verifyOtp({type: 'email', token: OTP, email: EMAIL})

    if (error) {
        return new Response(error.message, { status: 500 })
    }

    return redirect("/?=welcome")
}
