import type { APIRoute } from "astro"
import { supabase } from "@library/supabase"
import type { Provider } from "@supabase/supabase-js"

export const GET: APIRoute = async ({ cookies, redirect }) => {

  if(cookies.get('anonymous-session')) {
    return redirect('/account/anon/end')
  } else {
    cookies.delete("sb-access-token", { path: "/" })
    cookies.delete("sb-refresh-token", { path: "/" })
    const { error } = await supabase.auth.signOut()
  }
  return redirect("/")
}